<?php

/**
* WPBakery Page Builder Stockie Social Networks shortcode params
*/

vc_map( array(
	'name' => __( 'Social Networks', 'stockie-extra' ),
	'description' => __( 'Social sharing buttons block', 'stockie-extra' ),
	'base' => 'stockie_social_networks',
	'category' => __( 'Stockie', 'stockie-extra' ),
	'icon' => plugin_dir_url( __FILE__ ) . 'images/icon.svg',
	'params' => array(

		// General
		array(
			'type' => 'stockie_choose_box',
			'group' => __( 'General', 'stockie-extra' ),
			'heading' => __( 'Social networks layout', 'stockie-extra' ),
			'param_name' => 'icon_layout',
			'value' => array(
				array(
					'icon' => plugin_dir_url( __FILE__ ) . 'images/wpb_params_052.svg',
					'key' => 'outline',
					'title' => __( 'Outline', 'stockie-extra' ),
				),
				array(
					'icon' => plugin_dir_url( __FILE__ ) . 'images/wpb_params_053.svg',
					'key' => 'fill',
					'title' => __( 'Fill', 'stockie-extra' ),
				),
				array(
					'icon' => plugin_dir_url( __FILE__ ) . 'images/wpb_params_054.svg',
					'key' => 'flat',
					'title' => __( 'Flat', 'stockie-extra' ),
				),
				array(
					'icon' => plugin_dir_url( __FILE__ ) . 'images/wpb_params_055.svg',
					'key' => 'inline',
					'title' => __( 'Inline', 'stockie-extra' ),
				),
				array(
					'icon' => plugin_dir_url( __FILE__ ) . 'images/wpb_params_056.svg',
					'key' => 'text',
					'title' => __( 'Text', 'stockie-extra' ),
				),
				array(
					'icon' => plugin_dir_url( __FILE__ ) . 'images/wpb_params_057.svg',
					'key' => 'boxed',
					'title' => __( 'Boxed', 'stockie-extra' ),
				),
			)
		),
		array(
			'type' => 'dropdown',
			'group' => __( 'General', 'stockie-extra' ),
			'heading' => __( 'Social networks alignment', 'stockie-extra' ),
			'param_name' => 'alignment',
			'std' => 'center',
			'value' => array(
				__( 'Left', 'stockie-extra' ) => 'left',
				__( 'Center', 'stockie-extra' ) => 'center',
				__( 'Right', 'stockie-extra' ) => 'right',
			),
			'dependency' => array(
				'element' => 'icon_layout',
				'value' => array(
					'outline',
					'fill',
					'flat',
					'inline',
					'text'
				),
			),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'General', 'stockie-extra' ),
			'heading' => __( 'Use small shapes', 'stockie-extra' ),
			'param_name' => 'small_shapes',
			'std' => '0',
			'value' => array(
				__( 'Yes', 'stockie-extra' ) => '1'
			),
			'dependency' => array(
				'element' => 'icon_layout',
				'value' => array(
					'outline',
					'fill',
					'flat',
					'inline',
					'text'
				),
			),
		),

		// Links
		array(
			'type' => 'dropdown',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => __( 'Type links', 'stockie-extra' ),
			'param_name' => 'type_links',
			'value' => array(
				__( 'Share', 'stockie-extra' ) => 'share',
				__( 'Custom', 'stockie-extra' ) => 'custom',
			),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-facebook"></em>' . __( 'Facebook share', 'stockie-extra' ),
			'param_name' => 'facebook',
			'value' => array(
				__( 'Add', 'stockie-extra' ) => '1'
			),
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'share',
			),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-twitter"></em>' . __( 'Twitter share', 'stockie-extra' ),
			'param_name' => 'twitter',
			'value' => array(
				__( 'Add', 'stockie-extra' ) => '1'
			),
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'share',
			),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-linkedin-outline"></em>' . __( 'LinkedIn share', 'stockie-extra' ),
			'param_name' => 'linkedin',
			'value' => array(
				__( 'Add', 'stockie-extra' ) => '1'
			),
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'share',
			),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-pinterest-outline"></em>' . __( 'Pinterest share', 'stockie-extra' ),
			'param_name' => 'pinterest',
			'value' => array(
				__( 'Add', 'stockie-extra' ) => '1'
			),
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'share',
			),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-vk"></em>' . __( 'Vkontakte share', 'stockie-extra' ),
			'param_name' => 'vk',
			'value' => array(
				__( 'Add', 'stockie-extra' ) => '1'
			),
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'share',
			),
		),
		/* Custom */
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-facebook"></em>' . __( 'Facebook link', 'stockie-extra' ),
			'param_name' => 'facebook_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-twitter"></em>' . __( 'Twitter link', 'stockie-extra' ),
			'param_name' => 'twitter_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-instagram-outline"></em>' . __( 'Instagram link', 'stockie-extra' ),
			'param_name' => 'instagram_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-dribbble"></em>' . __( 'Dribbble link', 'stockie-extra' ),
			'param_name' => 'dribbble_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-linkedin-outline"></em>' . __( 'LinkedIn link', 'stockie-extra' ),
			'param_name' => 'linkedin_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-pinterest-outline"></em>' . __( 'Pinterest link', 'stockie-extra' ),
			'param_name' => 'pinterest_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is ion-social-github"></em>' . __( 'GitHub link', 'stockie-extra' ),
			'param_name' => 'github_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-dropbox"></em>' . __( 'Dropbox link', 'stockie-extra' ),
			'param_name' => 'dropbox_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-vk"></em>' . __( 'Vkontakte link', 'stockie-extra' ),
			'param_name' => 'vk_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-youtube"></em>' . __( 'YouTube link', 'stockie-extra' ),
			'param_name' => 'youtube_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-vimeo"></em>' . __( 'Vimeo link', 'stockie-extra' ),
			'param_name' => 'vimeo_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-behance"></em>' . __( 'Behance link', 'stockie-extra' ),
			'param_name' => 'behance_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-tumblr"></em>' . __( 'Tumblr link', 'stockie-extra' ),
			'param_name' => 'tumblr_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-flickr"></em>' . __( 'flickr link', 'stockie-extra' ),
			'param_name' => 'flickr_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-reddit-alien"></em>' . __( 'reddit link', 'stockie-extra' ),
			'param_name' => 'reddit_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-snapchat-ghost"></em>' . __( 'Snapchat link', 'stockie-extra' ),
			'param_name' => 'snapchat_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-whatsapp"></em>' . __( 'Whatsapp link', 'stockie-extra' ),
			'param_name' => 'whatsapp_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-quora"></em>' . __( 'Quora link', 'stockie-extra' ),
			'param_name' => 'quora_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-vine"></em>' . __( 'Vine link', 'stockie-extra' ),
			'param_name' => 'vine_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-digg"></em>' . __( 'Digg link', 'stockie-extra' ),
			'param_name' => 'digg_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-foursquare"></em>' . __( 'Foursquare link', 'stockie-extra' ),
			'param_name' => 'foursquare_link_custom',
			'dependency' => array(
				'element' => 'type_links',
				'value' => 'custom',
			),
		),
		
		// Color settings
		array(
			'type' => 'stockie_divider',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'param_name' => 'color_settings_title',
			'value' => __( 'Color settings', 'stockie-extra' ),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Outline hover', 'stockie-extra' ),
			'param_name' => 'outline_hover',
			'value' => array(
				__( 'Yes', 'stockie-extra' ) => '0'
			),
			'dependency' => array(
				'element' => 'icon_layout',
				'value' => 'flat',
			),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Default colors', 'stockie-extra' ),
			'param_name' => 'default_colors',
			'value' => array(
				__( 'Yes', 'stockie-extra' ) => '1'
			),
		),
		array(
			'type' => 'stockie_check',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Hover default colors', 'stockie-extra' ),
			'param_name' => 'hover_default_colors',
			'value' => array(
				__( 'Yes', 'stockie-extra' ) => '0'
			),
			'dependency' => array(
				'element' => 'default_colors',
				'value' => '0',
			),
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Shape color', 'stockie-extra' ),
			'param_name' => 'color',
			'dependency' => array(
				'element' => 'default_colors',
				'value' => '0',
			),
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Icon color', 'stockie-extra' ),
			'param_name' => 'icon_color',
			'dependency' => array(
				'element' => 'default_colors',
				'value' => '0',
			),
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Icon hover color', 'stockie-extra' ),
			'param_name' => 'icon_hover_color',
			'dependency' => array(
				'element' => 'default_colors',
				'value' => '0',
			),
		),
		
		// Custom CSS Class
		array(
			'type' => 'stockie_divider',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'param_name' => 'other_settings_title',
			'value' => __( 'Other', 'stockie-extra' ),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Custom CSS class', 'stockie-extra' ),
			'param_name' => 'css_class',
			'description' => __( 'If you want to add styles to a specific unit, use this field to add CSS class.', 'stockie-extra' )
		),

		// Appear Effect
		array(
			'type' => 'dropdown',
			'group' => __( 'Appear Effect', 'stockie-extra' ),
			'heading' => __( 'Appear effect', 'stockie-extra' ),
			'param_name' => 'appearance_effect',
			'value' => array(
				__( 'None', 'stockie-extra' ) => 'none',
				__( 'Fade up', 'stockie-extra' ) => 'fade-up',
				__( 'Fade down', 'stockie-extra' ) => 'fade-down',
				__( 'Fade right', 'stockie-extra' ) => 'fade-right',
				__( 'Fade left', 'stockie-extra' ) => 'fade-left',
				__( 'Flip up', 'stockie-extra' ) => 'flip-up',
				__( 'Flip down', 'stockie-extra' ) => 'flip-down',
				__( 'Zoom in', 'stockie-extra' ) => 'zoom-in',
				__( 'Zoom out', 'stockie-extra' ) => 'zoom-out'
			)
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Appear Effect', 'stockie-extra' ),
			'heading' => __( 'Animation duration', 'stockie-extra' ),
			'param_name' => 'appearance_duration',
			'description' => __( 'Duration accept values from 50 to 3000 (ms), with step 50.', 'stockie-extra' ),
		),
	)
) );