<?php

/**
* WPBakery Page Builder Stockie Team Members Group Inner shortcode params
*/

vc_map( array(
	'name' => __( 'Team Member', 'stockie-extra' ),
	'description' => __( 'Team member module', 'stockie-extra' ),
	'base' => 'stockie_team_member_inner',
	'category' => __( 'Stockie', 'stockie-extra' ),
	'icon' => plugin_dir_url( __FILE__ ) . 'images/icon.svg',
	'content_element' => true,
	'as_child' => array(
		'only' => 'stockie_team_member_group'
	),
	'js_view' => 'VcStockieTeamMemberInnerView',
	'custom_markup' => '{{title}}<div class="vc_stockie_team_member_inner-container">
			<div class="_contain">
				<div class="photo" style="background-image: url(\'' . plugin_dir_url( __FILE__ ) . 'images/view_user_gap.png\');"></div>
				<div class="right">
					<div class="name">%%name%%</div>
					<div class="position"></div>
					<div class="lines"><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div></div>
				</div>
			</div>
		</div>',
	'params' => array(
		// General
		array(
			'type' => 'attach_image',
			'group' => __( 'General', 'stockie-extra' ),
			'heading' => __( 'Photo', 'stockie-extra' ),
			'param_name' => 'photo',
			'description' => __( 'Choose member photo.', 'stockie-extra' ),
		),
		array(
			'type' => 'textfield',
			'holder' => 'em',
			'group' => __( 'General', 'stockie-extra' ),
			'heading' => __( 'Name', 'stockie-extra' ),
			'param_name' => 'name',
			'description' => __( 'Team member name.', 'stockie-extra' ),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'General', 'stockie-extra' ),
			'heading' => __( 'Position', 'stockie-extra' ),
			'param_name' => 'position',
			'description' => __( 'For example, <strong>Product manager</strong>.', 'stockie-extra' ),
		),
		array(
			'type' => 'textarea',
			'group' => __( 'General', 'stockie-extra' ),
			'heading' => __( 'Description', 'stockie-extra' ),
			'param_name' => 'description',
			'description' => __( 'Tell what this remarkable team member in your team.', 'stockie-extra' ),
		),

		// Soc links
		array(
			'type' => 'textfield',
			'group' => __( 'Social links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-facebook"></em>' . __( 'Facebook link', 'stockie-extra' ),
			'param_name' => 'facebook_link'
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Social links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-twitter"></em>' . __( 'Twitter link', 'stockie-extra' ),
			'param_name' => 'twitter_link'
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Social links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-dribbble"></em>' . __( 'Dribbble link', 'stockie-extra' ),
			'param_name' => 'dribbble_link'
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Social links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-pinterest-p"></em>' . __( 'Pinterest link', 'stockie-extra' ),
			'param_name' => 'pinterest_link'
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Social links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-github"></em>' . __( 'Github link', 'stockie-extra' ),
			'param_name' => 'github_link'
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Social links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-instagram"></em>' . __( 'Instagram link', 'stockie-extra' ),
			'param_name' => 'instagram_link'
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Social links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-linkedin"></em>' . __( 'LinkedIn link', 'stockie-extra' ),
			'param_name' => 'linkedin_link'
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Social links', 'stockie-extra' ),
			'heading' => '<em class="stockie_is fab fa-vk"></em>' . __( 'Vkontakte link', 'stockie-extra' ),
			'param_name' => 'vk_link'
		),

		/* Typography */
		array(
			'type' => 'stockie_divider',
			'group' => __( 'Typography', 'stockie-extra' ),
			'param_name' => 'typo_tab_divider_name',
			'value' => __( 'Name', 'stockie-extra' ),
		),
		array(
			'type' => 'stockie_typography',
			'group' => __( 'Typography', 'stockie-extra' ),
			'param_name' => 'name_typo',
		),
		array(
			'type' => 'stockie_divider',
			'group' => __( 'Typography', 'stockie-extra' ),
			'param_name' => 'typo_tab_divider_position',
			'value' => __( 'Position', 'stockie-extra' ),
		),
		array(
			'type' => 'stockie_typography',
			'group' => __( 'Typography', 'stockie-extra' ),
			'param_name' => 'position_typo',
		),
		array(
			'type' => 'stockie_divider',
			'group' => __( 'Typography', 'stockie-extra' ),
			'param_name' => 'typo_tab_divider_description',
			'value' => __( 'Description', 'stockie-extra' ),
		),
		array(
			'type' => 'stockie_typography',
			'group' => __( 'Typography', 'stockie-extra' ),
			'param_name' => 'desription_typo',
		),

		// Color settings
		array(
			'type' => 'stockie_divider',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'param_name' => 'color_settings_title',
			'value' => __( 'Color settings', 'stockie-extra' ),
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Overlay color', 'stockie-extra' ),
			'param_name' => 'overlay_color',
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Name color', 'stockie-extra' ),
			'param_name' => 'name_color',
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Position text color', 'stockie-extra' ),
			'param_name' => 'position_color',
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Description color', 'stockie-extra' ),
			'param_name' => 'description_color',
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Social buttons color', 'stockie-extra' ),
			'param_name' => 'social_color',
		),
		array(
			'type' => 'stockie_colorpicker',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Social buttons hover color', 'stockie-extra' ),
			'param_name' => 'social_hover_color',
		),
		array(
			'type' => 'stockie_divider',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'param_name' => 'style_tab_divider_other',
			'value' => __( 'Other', 'stockie-extra' ),
		),
		array(
			'type' => 'textfield',
			'group' => __( 'Styles and Colors', 'stockie-extra' ),
			'heading' => __( 'Custom CSS class', 'stockie-extra' ),
			'param_name' => 'css_class',
			'description' => __( 'If you want to add styles to a specific unit, use this field to add CSS class.', 'stockie-extra' )
		),
	)
) );