<?php
	// Settings
	$menu_type = StockieSettings::menu_type();

	
	$have_woocomerce = function_exists( 'WC' );
	$have_woocomerce_wl = function_exists( 'YITH_WCWL' );
	$have_wpml = function_exists( 'icl_get_languages' );
	$wpml_show_in_header = StockieSettings::get( 'wpml_show_in_header', 'global' );
	$wpml_show_in_header = ( $wpml_show_in_header === false ) ? false : true;
	$header_have_social = have_rows( 'global_header_menu_social_links', 'option' );
	$mobile_social_position = StockieSettings::get( 'header_mobile_social_position', 'global' );
	$dropdown_carets_visibility = StockieSettings::get( 'header_counters_visibility', 'global' );
	$mobile_menu_position = StockieSettings::get( 'mobile_menu_position', 'global' );

	$site_navigation_class = '';
	if ( $menu_type == 'hamburger' ) {
		$site_navigation_class .= ' hidden';
	}

	if ( $mobile_menu_position == 'right' ) {
		$site_navigation_class .= ' slide-right';
	}

	if ( $dropdown_carets_visibility == false ) {
		$site_navigation_class .= ' without-counters';
	}
?>

<nav id="site-navigation" class="main-nav<?php echo esc_attr( $site_navigation_class ); ?>">

	<!-- Mobile overlay -->
	<div class="mbl-overlay">
		<div class="mbl-overlay-bg"></div>

		<!-- Close bar -->
		<div class="close close-bar">
			<div class="close-bar-btn btn-round round-animation" tabindex="0">
				<i class="ion ion-md-close"></i>
			</div>
		</div>
		<div class="mbl-overlay-container">

			<!-- Navigation -->
			<div id="mega-menu-wrap" class="main-nav-container">

				<?php
					if ( StockieSettings::get('extended_menu', 'global') ) {
						wp_nav_menu( array( 'menu' => StockieSettings::get('extended_menu', 'global'), 'menu_id' => 'primary-menu' ) );
					} else {
                        if ( has_nav_menu( 'primary' ) ) {
                            wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'secondary-menu' ) );
                        } else {
                            echo '<span class="menu-not-assigned">' . sprintf( esc_html__( 'Please, %1$s assign a menu %2$s', 'stockie' ), '<a target="_blank" href="' . esc_url( home_url( '/' ) ) . 'wp-admin/nav-menus.php">', '</a>' ) . '</span>';
                        }
					}
				?>
			</div>

			<!-- Lang switcher -->
			<?php get_template_part('parts/elements/language-dropdown');?>
		
			<!-- Copyright -->
			<div class="copyright">
				<?php echo wp_kses( StockieSettings::get( 'footer_copyright_left', 'global' ), 'post' ); ?><br>
				<?php echo wp_kses( StockieSettings::get( 'footer_copyright_right', 'global' ), 'post' ); ?>
			</div>

			<!-- Social links -->
			<?php if ( $header_have_social && $mobile_social_position == 'inside' ) : ?>
				<div class="socialbar small">
					<?php while( have_rows( 'global_header_menu_social_links', 'option' ) ): the_row(); ?>
						<?php switch ( get_sub_field( 'social_network' ) ) {
	                        case 'behance':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="behance brand-color-hover"><i class="icon fab fa-behance"></i></a>';
								break;
							case 'digg':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="digg brand-color-hover"><i class="icon fab fa-digg"></i></a>';
								break;
							case 'dribbble':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="dribbble brand-color-hover"><i class="icon fab fa-dribbble"></i></a>';
								break;
							case 'facebook':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="facebook brand-color-hover"><i class="icon fab fa-facebook"></i></a>';
								break;
							case 'flickr':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="flickr brand-color-hover"><i class="icon fab fa-flickr"></i></a>';
								break;
							case 'github':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="github brand-color-hover"><i class="icon fab fa-github-alt"></i></a>';
								break;
							case 'instagram':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="instagram brand-color-hover"><i class="icon fab fa-instagram"></i></a>';
								break;
							case 'linkedin':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="linkedin brand-color-hover"><i class="icon fab fa-linkedin"></i></a>';
								break;
							case 'mixer':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="mixer brand-color-hover"><i class="icon fab fa-mixer"></i></a>';
								break;
							case 'pinterest':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="pinterest brand-color-hover"><i class="icon fab fa-pinterest"></i></a>';
								break;
							case 'quora':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="quora brand-color-hover"><i class="icon fab fa-quora"></i></a>';
								break;
							case 'reddit':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="reddit brand-color-hover"><i class="icon fab fa-reddit-alien"></i></a>';
								break;
							case 'snapchat':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="snapchat brand-color-hover"><i class="icon fab fa-snapchat"></i></a>';
								break;
							case 'soundcloud':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="soundcloud brand-color-hover"><i class="icon fab fa-soundcloud"></i></a>';
								break;
							case 'spotify':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="spotify brand-color-hover"><i class="icon fab fa-spotify"></i></a>';
								break;
							case 'telegram':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="telegram brand-color-hover"><i class="icon fab fa-telegram"></i></a>';
								break;
							case 'tiktok':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="tiktok brand-color-hover"><i class="icon fab fa-tiktok"></i></a>';
								break;
							case 'tumblr':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="tumblr brand-color-hover"><i class="icon fab fa-tumblr"></i></a>';
								break;
							case 'twitch':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="twitch brand-color-hover"><i class="icon fab fa-twitch"></i></a>';
								break;
							case 'twitter':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="twitter brand-color-hover"><i class="icon fab fa-twitter"></i></a>';
								break;
							case 'vimeo':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="vimeo brand-color-hover"><i class="icon fab fa-vimeo"></i></a>';
								break;
							case 'vine':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="vine brand-color-hover"><i class="icon fab fa-vine"></i></a>';
								break;
							case 'vk':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="vk brand-color-hover"><i class="icon fab fa-vk"></i></a>';
								break;
							case 'whatsapp':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="whatsapp brand-color-hover"><i class="icon fab fa-whatsapp"></i></a>';
								break;
							case 'youtube':
								echo '<a target="_blank" href="' . esc_url( get_sub_field( 'url' ) ) . '" class="youtube brand-color-hover"><i class="icon fab fa-youtube"></i></a>';
								break;
                    	} ?>
					<?php endwhile; ?>
				</div>
			<?php endif; ?>
		</div>
	</div>
</nav>
